/*  */

parse  upper arg isdel isfil
foo=rxfuncquery('sysloadfuncs')
if foo=1 then do
  say 'Loading REXXUtil library '
  call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  call SysLoadFuncs
end


foo=rxfuncquery('rexxlibregister')
if foo=1 then do
 say ' loading REXXLIB '
 call rxfuncadd 'rexxlibregister','rexxlib', 'rexxlibregister'
 call rexxlibregister
end


if isdel=""  then isdel="?"

if  abbrev(translate(isdel),'D')=1 then do
   foo=macroclear()
    say " clearing macrospace " foo
end

if abbrev(isdel,"L")=1 then do
    say " Loading macrolib "
    foo=macroload(isfil)
    if foo<>1 then
       say " Error: # " foo
end

if  isdel="?" | abbrev(isdel,'H')=1 then do
    say " MSPACE D : delete all procedures in macrospace (careful, it's global "
   say " MSPACE L : Load a macrospace library "
end


exit

